/*utf8解析行 Don't remove or modify this first line!*/
#ifndef WNREADWRITELOCKER_H
#define WNREADWRITELOCKER_H
class WNCreticalSection;

class WNReadWriteLocker
{
public:
	WNReadWriteLocker();
	virtual ~WNReadWriteLocker();
	bool LockRead(unsigned long dwTimeOut = 0);
	bool LockWrite(unsigned long dwTimeOut = 0);
	bool ReleaseRead();
	bool ReleaseWrite();
protected:
	bool InternalLockRead();
	bool InternalLockWrite();
private:
	unsigned long  m_dwReadCount;
	unsigned long  m_dwWriteCount;
	bool m_bWriting;
	WNCreticalSection* mpLocker;
};

#endif