# Copyright (C) 2011 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE := libWaninCommon
LOCAL_C_INCLUDES += \
        $(LOCAL_PATH)/../include/
LOCAL_MODULE_PATH := $(TARGET_OUT_SHARED_LIBRARIES)
LOCAL_SRC_FILES :=   WNObject.cpp WNCStringList.cpp IniFileManager.cpp WNSocketObserverManager.cpp WNSocketSelectObserver.cpp WNSocketObserver.cpp WNCommonSocket.cpp WNNotificationCenter.cpp WNByteBufferManager.cpp WNByteBuffer.cpp  WNReadWriteLocker.cpp MD5Checksum.cpp WNCreticalSection.cpp WNBitIndex.cpp 
LOCAL_SHARED_LIBRARIES := liblog libstlport
LOCAL_MODULE_TAGS := optional


include $(BUILD_SHARED_LIBRARY)

