/*utf8解析行 Don't remove or modify this first line!*/
#include "WNTimer.h"
#include <functional>
WNTimer::WNTimer()
	:muTimerId(0)
	,muFireTimes(0)
{
	mTimerProc.SetCallBackMemberFunc(this, &WNTimer::InternalTimerProc);
	//std::tr1::bind(this, &WNTimer::InternalTimerProc);
	//function<void,int> f  = bind(&WNTimer::InternalTimerProc,this);
}


WNTimer::~WNTimer()
{
	StopTimer();
}

void WNTimer::StartTimer(  unsigned int uInterval )
{
	if (!uInterval)
	{
		return;
	}
	muInterval = uInterval;
	if (muTimerId)
	{
		StopTimer();
	}
	else
	{
		//只有在没有开启计时器的时候重置触发次数
		muFireTimes = 0;
	}
	//muTimerId = ::SetTimer(0, 0, muInterval, mTimerProc);
}

void WNTimer::StopTimer()
{
	bool bRet ;//= ::KillTimer(0, muTimerId);
	if (bRet)
	{
		muTimerId = 0;
		return;
	}
	else
	{
		long dwError = 0;
		//dwError = GetLastError();
		return;
	}
}

void WNTimer::Fire()
{
	if (mpStdFunc)
	{
		muFireTimes++;
		mpStdFunc(this, muFireTimes);
	}
}
void WNTimer::InternalTimerProc( int i )
{
	Fire();
}


