#ifndef _WN_PCMPLAYER_H
#define _WN_PCMPLAYER_H

#include <media/AudioTrack.h>
#include "WNMemoryPool.h"

using namespace android;

class PcmPlayer
{
public:
	PcmPlayer();
	~PcmPlayer();

	bool Start();
	void Stop();
	
	bool AddData(unsigned char * data, int len);

	void Reset();
private:
	static void AudioCallback(int event, void *user, void *info);
    void AudioCallback(int event, void *info);

    size_t FillBuffer(void *data, size_t size);

	sp<AudioTrack> mAudioTrack;

	WNMemoryPool * m_pBufMgr;

	bool m_bStart;
};

#endif //_WN_PCMPLAYER_H